{
  "$schema": "https://opencode.ai/config.json",
  "provider": {
    "deepseek": {
      "options": {
        "apiKey": "{env:DEEPSEEK_API_KEY}"
      }
    }
  },
  "model": "deepseek/deepseek-v4-flash",
  "server": {
    "hostname": "127.0.0.1",
    "port": 4096
  },
  "permission": {
    "*": "allow",
    "external_directory": "ask",
    "bash": {
      "*": "allow",
      "rm *": "ask",
      "rmdir *": "ask",
      "mv *": "ask",
      "chmod *": "ask",
      "chown *": "ask",
      "sudo *": "ask",
      "curl *": "ask",
      "wget *": "ask"
    },
    "edit": "ask"
  },
  "default_agent": "instruction"
}
